Update Existing Persona
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {}
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}"
payload = {
"name": "<string>",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": ["<string>"],
"user_overrides": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
role: '<string>',
behavior_notes: '<string>',
agent_id: '<string>',
custom_llm_temperature: 123,
enabled_tool_ids: ['<string>'],
user_overrides: {}
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "simulation_persona",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {},
"created_at": "<string>",
"updated_at": "<string>"
}Simulation
Update Existing Persona
Update an existing simulation persona.
PUT
/
api
/
v1
/
simulation
/
personas
/
{persona_id}
Update Existing Persona
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {}
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}"
payload = {
"name": "<string>",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": ["<string>"],
"user_overrides": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
role: '<string>',
behavior_notes: '<string>',
agent_id: '<string>',
custom_llm_temperature: 123,
enabled_tool_ids: ['<string>'],
user_overrides: {}
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "simulation_persona",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {},
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
Response schema for simulation personas.
